import unittest
import ssspeechmap

class SpeechmapTestCase(unittest.TestCase):

    def test_speechmap(self):
        sm = ssspeechmap.SpeechMap()
        sm.load_from_file("test_speechmap_1.xml")
        self.assertEqual(sm.text_path, "example.txt")
        self.assertEqual(sm.resource_type, "MONSTER")
        self.assertEqual(sm.compression_type, "OGG")

        sound = sm.sounds[0]
        self.assertEqual(sound.id, "101")
        self.assertEqual(sound.metadata, {'LipSynch' : [15, 255]})
        self.assertEqual(sound.lines_used, [1, 2, 3, 4, 5])
        source = sound.source
        self.assertEqual(source.path, "monster.sog")
        self.assertEqual(source.offset, 12345)
        self.assertEqual(source.size, 54321)

        sound = sm.sounds[1]
        self.assertEqual(sound.id, "102")
        self.assertEqual(sound.metadata, {'RMAP' : "Oogie Boogie"})
        self.assertEqual(sound.lines_used, [6])
        source = sound.source
        self.assertEqual(source.path, "newsound.ogg")
        self.assertEqual(source.offset, 0)
        self.assertEqual(source.size, 654321)

        self.assertEqual(sm.text_comments["2"], "Who the heck says this?")
        self.assertEqual(sm.sound_comments["101"], "From the original sound file")
        self.assertEqual(sm.sound_comments["102"], "New dubbing")

if __name__ == '__main__':
    unittest.main()

