# -*- coding: iso-8859-1 -*-
# generated by wxGlade 0.6.3 on Tue Sep 28 12:04:06 2010

import wx


class NewSpeechMapDialog(wx.Dialog):
    def __init__(self, *args, **kwds):
        # begin wxGlade: NewSpeechMapDialog.__init__
        kwds["style"] = wx.DEFAULT_DIALOG_STYLE
        wx.Dialog.__init__(self, *args, **kwds)
        self.szrText_staticbox = wx.StaticBox(self, -1, "Text file")
        self.szrResource_staticbox = wx.StaticBox(self, -1, "Sound Resource")
        self.szrHelpText_staticbox = wx.StaticBox(self, -1, "New Speech Map")
        self.lblHelpText = wx.StaticText(self, -1, "To create a new speech mapping between game dialogue and speech sounds, you must import the existing dialogue from a text file, and a sound resource containing the speech.")
        self.txtCtrlTextFile = wx.TextCtrl(self, -1, "")
        self.btnBrowseText = wx.Button(self, -1, "Browse")
        self.txtCtrlSoundResource = wx.TextCtrl(self, -1, "")
        self.btnBrowseResource = wx.Button(self, -1, "Browse")
        self.btnOK = wx.Button(self, wx.ID_OK, "")
        self.btnCancel = wx.Button(self, wx.ID_CANCEL, "")

        self.__set_properties()
        self.__do_layout()

        self.Bind(wx.EVT_BUTTON, self.buttonBrowseText, self.btnBrowseText)
        self.Bind(wx.EVT_BUTTON, self.buttonBrowseResource, self.btnBrowseResource)
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: NewSpeechMapDialog.__set_properties
        self.SetTitle("New Speech Map")
        self.lblHelpText.SetMinSize((329, 78))
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: NewSpeechMapDialog.__do_layout
        szrMain = wx.BoxSizer(wx.VERTICAL)
        szrBottom = wx.BoxSizer(wx.HORIZONTAL)
        szrResource = wx.StaticBoxSizer(self.szrResource_staticbox, wx.HORIZONTAL)
        szrText = wx.StaticBoxSizer(self.szrText_staticbox, wx.HORIZONTAL)
        szrHelpText = wx.StaticBoxSizer(self.szrHelpText_staticbox, wx.HORIZONTAL)
        szrHelpText.Add(self.lblHelpText, 1, 0, 0)
        szrMain.Add(szrHelpText, 2, wx.ALL|wx.EXPAND, 10)
        szrText.Add(self.txtCtrlTextFile, 1, wx.ALIGN_CENTER_VERTICAL, 0)
        szrText.Add(self.btnBrowseText, 0, wx.ALIGN_RIGHT|wx.ALIGN_CENTER_VERTICAL, 0)
        szrMain.Add(szrText, 1, wx.ALL|wx.EXPAND, 5)
        szrResource.Add(self.txtCtrlSoundResource, 1, wx.ALIGN_CENTER_VERTICAL, 0)
        szrResource.Add(self.btnBrowseResource, 0, wx.ALL|wx.ALIGN_CENTER_VERTICAL, 0)
        szrMain.Add(szrResource, 1, wx.ALL|wx.EXPAND, 5)
        szrBottom.Add(self.btnOK, 0, wx.ALIGN_BOTTOM, 0)
        szrBottom.Add(self.btnCancel, 0, wx.ALIGN_BOTTOM, 0)
        szrMain.Add(szrBottom, 0, wx.ALL|wx.ALIGN_RIGHT, 10)
        self.SetSizer(szrMain)
        szrMain.Fit(self)
        self.Layout()
        # end wxGlade

    def buttonBrowseText(self, event): # wxGlade: NewSpeechMapDialog.<event_handler>
        od = wx.FileDialog(self,
                           "Open dialogue text file",
                           wildcard="TXT files (*.txt)|*.txt|All Files|*.*",
                           style=wx.OPEN|wx.FILE_MUST_EXIST|wx.CHANGE_DIR)
        if od.ShowModal() == wx.ID_OK:
            filename = od.GetPath()
            self.txtCtrlTextFile.SetValue(filename)

    def buttonBrowseResource(self, event): # wxGlade: NewSpeechMapDialog.<event_handler>
        od = wx.FileDialog(self,
                           "Open sound resource file",
                           wildcard="All resource files|*.bun;*.sog;*.sof;*.so3|" +
                           "MONSTER files|*.sog;*.sof;*.so3|" +
                           "BUN files|*.bun|" + 
                           "All Files|*.*",
                           style=wx.OPEN|wx.FILE_MUST_EXIST|wx.CHANGE_DIR)
        if od.ShowModal() == wx.ID_OK:
            filename = od.GetPath()
            self.txtCtrlSoundResource.SetValue(filename)

    def getTextPath(self):
        return self.txtCtrlTextFile.GetValue()

    def getResourcePath(self):
        return self.txtCtrlSoundResource.GetValue()

# end of class NewSpeechMapDialog


